import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AppCreateDialogComponentComponent {
    dialogRef: MatDialogRef<AppCreateDialogComponentComponent>;
    name: string;
    description: string;
    errMessage: {
        name: string;
    };
    showErrMessge: {
        name: boolean;
    };
    constructor(dialogRef: MatDialogRef<AppCreateDialogComponentComponent>);
    onCancel(): void;
    onSubmit(): void;
    onBlur(): void;
    onInput(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppCreateDialogComponentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppCreateDialogComponentComponent, "app-app-create-dialog-component", never, {}, {}, never, never>;
}
